import base64
import hmac
import sha
import sys

path = "/"

# secret key of the user
secretKey=sys.argv[1]

# date value being passed in via the Date header
date = sys.argv[2]
if len(sys.argv) > 3:
    # The request path (e.g. /bucket/pathtoitem/) 
    # only tested on bucket enumeration 
    path = sys.argv[3]

contentType = 'application/x-www-form-urlencoded; charset=utf-8'
contentHash = ""

toSign = "GET\n" + contentHash + "\n" + contentType + "\n" + date + "\n" + path;

h = hmac.new(secretKey,toSign,sha);
auth = base64.encodestring(h.digest()).strip()
print auth
